#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF9,0x7F,0xC1,0xB8,0x89,0x8B,0xAC,0x74,0x82,0x73,0xD1,0x23,
		0x3F,0x79,0x5D,0xDE,0x75,0x94,0xCC,0xED,0xD8,0xEB,0x8B,0x02,
		0xC0,0xD7,0xA2,0x81,0x36,0x3F,0x66,0xA3,0x89,0xE3,0x85,0x66,
		0xEF,0xAB,0x87,0x01,0x89,0x18,0xD2,0xA0,0x9F,0xD4,0x73,0x29,
		0x9C,0x43,0x10,0xE1,0x82,0x05,0xF9,0xD4,0xC5,0x46,0x72,0xD3,
		0xA4,0x75,0x85,0xFB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
